import Vue from 'vue'
Vue.config.silent = true
import ApplyGetSaleParam from './stores/ApplyGetSaleParams'
import ApplyLoadParams from './stores/ApplyLoadParams'
/** ****************服务插件*********************/

export default function () {
  Vue.use(ApplyGetSaleParam)
  Vue.use(ApplyLoadParams)
/** ***************************报建模块*********************************/
  /**  报建流程业务 **/
  // 报建流程业务总入口

  Vue.component('exploration-user', (resolve) => { require(['./components/product/Process/ExplorationUser'], resolve) })
  Vue.component('new-exploration-user', (resolve) => { require(['./components/product/Process/NewExplorationUser'], resolve) })
  Vue.component('new1-exploration-user', (resolve) => { require(['./components/product/Process/New1ExplorationUser'], resolve) })
  Vue.component('new2-exploration-user', (resolve) => { require(['./components/product/Process/New2ExplorationUser'], resolve) })
  // 报建流程业务总入口页面list布局
  Vue.component('exploration-select', (resolve) => { require(['./components/product/Process/ExplorationSelect'], resolve) })
  // 用来返回查询列表
  Vue.component('new-exploration-select', (resolve) => { require(['./components/product/Process/NewExplorationSelect.vue'], resolve) })
  // 业务tab(control层)页
  Vue.component('service-control', (resolve) => { require(['./components/product/Process/Service/ServiceControl'], resolve) })
  // 公共业务显示(view层)页
  Vue.component('service-view', (resolve) => { require(['./components/product/ServiceView'], resolve) })
  Vue.component('onetomany', (resolve) => { require(['./components/product/Onetomany'], resolve) })
  // 显示退回理由tab页
  Vue.component('show-back-reason', (resolve) => { require(['./components/product/Process/Service/ShowBackReason'], resolve) })

  /** 报建监控业务 **/
  // 流程监控入口页
  Vue.component('supervisory-control', (resolve) => { require(['./components/product/Supervisory/SupervisoryControl'], resolve) })
  Vue.component('yiban-supervisory-control', (resolve) => { require(['./components/product/Supervisory/YiBanSupervisoryControl.vue'], resolve) })
  // 流程监控列表页
  Vue.component('supervisory-list', (resolve) => { require(['./components/product/Supervisory/SupervisoryList'], resolve) })
  Vue.component('yiban-supervisory-list', (resolve) => { require(['./components/product/Supervisory/YiBanSupervisoryList.vue'], resolve) })
  // 业务tab(control层)页
  Vue.component('supervisory-service-control', (resolve) => { require(['./components/product/Supervisory/Service/SupervisoryServiceControl'], resolve) })
  // 流程列表页
  Vue.component('supervisory-chart', (resolve) => { require(['./components/product/Supervisory/SupervisoryhCart'], resolve) })
  Vue.component('new-supervisory-chart', (resolve) => { require(['./components/product/Supervisory/NewSupervisoryhCart'], resolve) })
  Vue.component('bj-export-excel', (resolve) => { require(['./components/product/Supervisory/ExportExcel'], resolve) })

  /** 报建功能业务 **/
  // 报建功能业务总入口
  Vue.component('install-function', (resolve) => { require(['./components/product/Function/InstallFunction'], resolve) })
  // 报建功能工程列表
  Vue.component('installinfoselect', (resolve) => { require(['./components/product/Function/InstallInfoSelect'], resolve) })
  // 报建菜单页面控制层
  Vue.component('function-service-control', (resolve) => { require(['./components/product/Function/Service/FunctionServiceControl'], resolve) })

  // 公建数据推送业务
  Vue.component('gongjian-apply-manage', (resolve) => { require(['./components/product/GongJianPush/ApplyPushManage'], resolve) })
  // 报建数据列表
  Vue.component('gongjian-apply-list', (resolve) => { require(['./components/product/GongJianPush/ApplyPushList'], resolve) })
  // 报建数据详情
  Vue.component('gongjian-apply-dispose', (resolve) => { require(['./components/product/GongJianPush/ApplyPushDispose'], resolve) })

  // 终止报建页面入口
  Vue.component('stop-apply', (resolve) => { require(['./components/product/Stop/StopApply'], resolve) })
  Vue.component('stop-apply-list', (resolve) => { require(['./components/product/Stop/StopApplyList'], resolve) })

  /** 报建收费记录 **/
  Vue.component('apply-charge-search', (resolve) => { require(['./components/product/ApplyCharge/ApplyChargeSearch'], resolve) })
  Vue.component('apply-charge-list', (resolve) => { require(['./components/product/ApplyCharge/ApplyChargeList'], resolve) })
  /** 报建收费冲正记录 **/
  Vue.component('apply-chong-zheng-search', (resolve) => { require(['./components/product/ChongZheng/ApplyChongZhengSearch'], resolve) })
  Vue.component('apply-chong-zheng-list', (resolve) => { require(['./components/product/ChongZheng/ApplyChongZhengList'], resolve) })

  /** 打印施工通知单 **/
  Vue.component('build-order-list', (resolve) => { require(['./components/product/Print/BuildOrder/buildOrderList'], resolve) })
  Vue.component('print-build-order', (resolve) => { require(['./components/product/Print/BuildOrder/printBuildOrder'], resolve) })
  Vue.component('print-gai-order', (resolve) => { require(['./components/product/Print/BuildOrder/printGaiXianOrder'], resolve) })
  Vue.component('print-gaixian-order', (resolve) => { require(['./components/product/Print/OrderPrint/GaiXianOrder'], resolve) })
  Vue.component('print-chaichu-order', (resolve) => { require(['./components/product/Print/OrderPrint/printChaiChuOrder'], resolve) })

  /** 点火派单 **/
  Vue.component('ignition-dispatch', (resolve) => { require(['./components/product/Ignition/IgnitionDispatch'], resolve) })
  Vue.component('ignition-record', (resolve) => { require(['./components/product/Ignition/IgnitionRecord'], resolve) })
  // Vue.component('ignition-list', (resolve) => { require(['./components/product/Ignition/IgnitionList'], resolve) })
  Vue.component('ignition-list', (resolve) => { require(['./components/product/Ignition/IgnitionListManage'], resolve) })
  Vue.component('ignition-list-old', (resolve) => { require(['./components/product/Ignition/IgnitionListManageOld'], resolve) })

  // 地址管理
  Vue.component('apply-chai-chu-management', (resolve) => { require(['./components/product/Process/Processes/ApplyChaiChuInfo.vue'], resolve) })
  // 施工安装明细
  Vue.component('installation-details', (resolve) => { require(['./components/product/Process/Processes/InstallationDetails'], resolve) })
  // 收费管理
  Vue.component('apply-charge-management', (resolve) => { require(['./components/product/Process/Processes/chargeManagement'], resolve) })
  Vue.component('exhibition-picture', (resolve) => { require(['./components/product/Process/Processes/ExhibitionPicture'], resolve) })

  // 补充协议
  Vue.component('supplemental-agreement', (resolve) => { require(['./components/product/Process/Processes/supplementalAgreement'], resolve) })
  // 选择用户信息
  Vue.component('select-userinfo', (resolve) => { require(['./components/product/Process/Processes/selectUserinfo'], resolve) })
  // 选择用户信息
  Vue.component('select-oldUserinfo', (resolve) => { require(['./components/product/Process/Processes/selectOldUserinfo'], resolve) })
  // 选择需要拆除的用户信息
  Vue.component('select-chaichu-userinfo', (resolve) => { require(['./components/product/Process/Processes/selectChaiChuUserinfo'], resolve) })
  // 选择报建项目
  Vue.component('select-apply', (resolve) => { require(['./components/product/Process/Processes/selectApply'], resolve) })
  // 设备管理
  Vue.component('apply-devices-management', (resolve) => { require(['./components/product/Process/Processes/devicesManagement'], resolve) })
  Vue.component('apply-satisfaction-show', (resolve) => { require(['./components/product/Process/Processes/satisfactionShow.vue'], resolve) })
  Vue.component('apply-devices-show', (resolve) => { require(['./components/product/List/ShowDevices.vue'], resolve) })
  /** VueUtils **/
  Vue.component('apply-upload', (resolve) => { require(['./components/product/VueUtils/ApplyUpload'], resolve) })
  Vue.component('apply-high-meter', (resolve) => { require(['./components/product/VueUtils/HighMeter'], resolve) })

  // 对外提供单页面
  Vue.component('public-order-apply', (resolve) => { require(['./public/order/PublicOrderApply'], resolve) })
  Vue.component('public-history-apply', (resolve) => { require(['./public/history/PublicHistoryApply'], resolve) })
  Vue.component('history-apply-list', (resolve) => { require(['./public/history/HistoryApplyList'], resolve) })
  Vue.component('public-supervisoryh-cart', (resolve) => { require(['./public/history/PublicSupervisoryhCart'], resolve) })

  // 地图
  Vue.component('apply-map-com', (resolve) => { require(['./components/product/ApplyMap/ApplyMapCom.vue'], resolve) })
  Vue.component('apply-input-search', (resolve) => { require(['./components/product/ApplyMap/ApplyInputSearch'], resolve) })
  Vue.component('apply-drag-list', (resolve) => { require(['./components/product/ApplyMap/ApplyDragaboutList'], resolve) })
  Vue.component('apply-map-location', (resolve) => { require(['./components/product/ApplyMap/ApplyMapLocation'], resolve) })
  Vue.component('apply-amap-location', (resolve) => { require(['./components/product/ApplyMap/AMapLocation'], resolve) })
  Vue.component('apply-map-input-search', (resolve) => { require(['./components/product/ApplyMap/ApplyMapInputSearch'], resolve) })
  // 收费标准票据
  Vue.component('apply-printCharge', (resolve) => { require(['./components/product/Process/Processes/Print/printCharge'], resolve) })
 // 报报建类型为改线业务，在核算费用环节添加打印预览的功能。
  Vue.component('apply-gx-printCharge', (resolve) => { require(['./components/product/Process/Processes/Print/printGaiXianCharge.vue'], resolve) })
  // 气量核算票据
  Vue.component('apply-printpaymentapproval', (resolve) => { require(['./components/product/Process/Processes/Print/printPaymentApproval'], resolve) })
  // 气量核算付款事由票据
  Vue.component('apply-printpayment—subject', (resolve) => { require(['./components/product/Process/Processes/Print/printPaymentSubject'], resolve) })
  // 设备变更
  Vue.component('new-apply-devices-management', (resolve) => { require(['./components/product/Process/Processes/newDevicesManagement'], resolve) })
  Vue.component('new-installation-details', (resolve) => { require(['./components/product/Process/Processes/newInstallationDetails'], resolve) })
  // 管线建设登记
  Vue.component('guan-xian-exploration-user', (resolve) => { require(['./components/product/ApplyGuanXian/GuanXianExplorationUser'], resolve) })
  Vue.component('guan-xian-exploration-select', (resolve) => { require(['./components/product/ApplyGuanXian/GuanXianExplorationSelect'], resolve) })
  Vue.component('guan-xian-cailiao', (resolve) => { require(['./components/product/ApplyGuanXian/GuanXianCaiLiao'], resolve) })
  Vue.component('guan-xian-supervisoryh-cart', (resolve) => { require(['./components/product/ApplyGuanXian/GuanXianSupervisoryhCart'], resolve) })

  Vue.component('tabs', (resolve) => { require(['./components/product/ApplyGuanXian/Tabs'], resolve) })
  Vue.component('tab-button', (resolve) => { require(['./components/product/ApplyGuanXian/TabButton'], resolve) })
  // 报表
  Vue.component('apply-report-items', (resolve) => { require(['./components/product/Report/ReportItems.vue'], resolve) })
  // 每月安装收入明细表
  Vue.component('apply-stair-anzhuang', (resolve) => { require(['./components/product/Report/apply-stair-anzhuang.vue'], resolve) })
  // 用户管理部通气月报表
  Vue.component('apply-stair-tongqi', (resolve) => { require(['./components/product/Report/apply-stair-tongqi.vue'], resolve) })
  // 市场开发部月度报表
  Vue.component('apply-stair-kaifa', (resolve) => { require(['./components/product/Report/apply-stair-kaifa.vue'], resolve) })
  // 用户管理部未通气月报表
  Vue.component('apply-stair-wtongqi', (resolve) => { require(['./components/product/Report/apply-stair-wtongqi.vue'], resolve) })
  // 用户管理部未通气月报表
  Vue.component('apply-gongchengbu', (resolve) => { require(['./components/product/Report/gongchengbu.vue'], resolve) })
  // 改线业务信息列表
  Vue.component('apply-gai-xian-search', (resolve) => { require(['./components/product/ApplyGaiXianCharge/ApplyGaiXianChargeSearch.vue'], resolve) }),
  Vue.component('apply-gai-xian-list', (resolve) => { require(['./components/product/ApplyGaiXianCharge/ApplyGaiXianChargeList.vue'], resolve) }),
  // 流程时间环节
  Vue.component('apply-defname-time', (resolve) => { require(['./components/product/List/ShowAllActivity.vue'], resolve) }),
    Vue.component('apply-adjustment-record', (resolve) => { require(['./components/product/records/AdjustmentRecordList.vue'], resolve) }),
   // 费用调整记录
  Vue.component('Apply-gaiXian-view-list', (resolve) => { require(['./components/product/ApplyGaiXianCharge/ApplyGaiXianViewList'], resolve) })
  Vue.component('old-apply-devices-show', (resolve) => { require(['./components/product/List/OldShowDevices.vue'], resolve) })
  Vue.component('insurance-report', (resolve) => { require(['./components/product/InsuranceApply/InsuranceReport.vue'], resolve) })
  //管线建设流程监控
  Vue.component('guan-xian-supervisory-user', (resolve) => { require(['./components/product/ApplyGuanXian/GuanXiansupsupervisory'], resolve) })
  Vue.component('guan-xian-supervisory-select', (resolve) => { require(['./components/product/ApplyGuanXian/GuanXianExplorationsupervisory'], resolve) })
  Vue.component('apply-print-element', (resolve) => { require(['./components/product/Print/ApplyPrintElement'], resolve) })
}
